Subject: Re: bug#13312: 24.3.50; delete selection mode not killing on overwrite

From: Juri Linkov <[email-masked]>
Date: Sat, 19 Oct 2013 18:28:06 +0300

> I don't think this should be on the wishlist.  It's a clear bug.
>
> (put 'ANY-COMMAND 'delete-selection 'kill) should kill the
> text in the active region.  It does not do so in the case
> where ANY-COMMAND is `self-insert-command'.  A bug.
>
> The fact that "usually the delete text is still available from the
> "PRIMARY" selection" is irrelevant.  (Not to mention that there is
> no "PRIMARY" selection on some platforms.)
>
> Putting `kill' as the property value should kill the text, pure and
> simple.

There is no bug.  In delete-selection-mode with overwrite-mode
selecting a region and typing a self-inserting key deletes the
selected region and replaces it with the typed key.